## com.baidubce.services.media.model
Class Encryption

    java.lang.Object
      com.baidubce.services.media.model.Encryption

    public class Encryption

extends Object

Constructor Summary
`Encryption()`

Method Summary
`String` `getAesKey()` AES128加密密钥
`String` `getStrategy()` Fixed-表示固定密钥加密
`void` `setAesKey(String aesKey)`
`void` `setStrategy(String strategy)`
`String` `toString()`
`Encryption` `withAesKey(String aesKey)`
`Encryption` `withStrategy(String strategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Encryption

    public Encryption()

Method Detail

### getStrategy

    public String getStrategy()

  Fixed-表示固定密钥加密

### setStrategy

    public void setStrategy(String strategy)

### withStrategy

    public Encryption withStrategy(String strategy)

### getAesKey

    public String getAesKey()

  AES128加密密钥

### setAesKey

    public void setAesKey(String aesKey)

### withAesKey

    public Encryption withAesKey(String aesKey)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.